%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Compress-Raw-Zlib
%define modv   2.015


Summary:       Low-Level Interface to zlib compression library
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Marquess <pmqs@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Simple)
BuildRequires: zlib-devel


%description
The Compress::Raw::Zlib module provides a Perl interface to the zlib
compression library.


%prep
%setup -q -n %{modn}-%{modv}


%build
export BUILD_ZLIB="false"
export ZLIB_INCLUDE="%{_includedir}"
export ZLIB_LIB="%{_libdir}"

%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Compress
%{_mandir}/man3/*.3*


%changelog
* Mon Feb 02 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.015-1
- New version (2.015)

* Wed Apr 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.009-1
- Initial build
